<?php
/*
NOTICE OF LICENSE

This source file is subject to the NekloEULA that is bundled with this package in the file ICENSE.txt.

It is also available through the world-wide-web at this URL: http://store.neklo.com/LICENSE.txt

Copyright (c)  Neklo (http://store.neklo.com/)
*/


namespace Neklo\Scheduler\Controller\Adminhtml\Timeline;

use Neklo\Scheduler\Controller\Adminhtml;
use Magento\Backend\Model\View\Result;

class Index extends Adminhtml\Action
{
    protected function _initAction(Result\Page $resultPage)
    {
        parent::_initAction($resultPage);
        $resultPage->setActiveMenu('Neklo_Scheduler::timeline');
    }

    public function execute()
    {
        $resultPage = $this->resultPageFactory->create();
        $this->_initAction($resultPage);
        $resultPage->addBreadcrumb(
            __('Manage Cron Jobs'),
            __('Manage Cron Jobs')
        );
        $resultPage->getConfig()->getTitle()->prepend(__('Cron Jobs Timeline'));
        return $resultPage;
    }
}
